<?php

App::uses('DiscountCodesController', 'EvDiscount.Controller');

class PromotionsController extends DiscountCodesController {

	public $adminPaginate = array(
		'contain' => array(
			'Currency'
		)
	);

/**
 * form fields - unset the unused fields from discounts
 */
	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		unset($fields['Promotion.times_used']);
		unset($fields['Promotion.maximum_uses']);
		unset($fields['Promotion.is_voucher']);

		return $fields;
	}

/**
 * Unset the code filter - promotions don't have codes
 */
	protected function _adminFilterFields() {
		$fields = parent::_adminFilterFields();
		unset($fields['DiscountCode.code']);
		return $fields;
	}

/**
 * Remove code field
 */
	protected function _adminIndexColumns() {
		$columns = parent::_adminIndexColumns();
		unset($columns['DiscountCode.code']);
		return $columns;
	}

}


